Package org.apache.sling.scripting.sightly.impl.html.dom

## Interface AttributeList

    public interface AttributeList

Contains the list of attributes inside an HTML tag.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `attributeCount()` Return the count of attributes
`Iterator<String>` `attributeNames()` Return the list of attribute names
`boolean` `containsAttribute​(String name)` Return a flag indicating whether a specified attribute exists
`char` `getQuoteChar​(String name)` Return an attribute's quote character, given its name or `0` if the attribute cannot be found.
`String` `getQuotedValue​(String name)` Return an attribute's value, already surrounded with the quotes originally in place.
`String` `getValue​(String name)` Return an attribute's value, given its name or `null` if the attribute cannot be found.
`boolean` `isModified()` Return a flag indicating whether this object was modified.
`void` `removeValue​(String name)` Remove an attribute's value.
`void` `setValue​(String name, String value)` Set an attribute's value.

### Method Detail

#### attributeCount

    int attributeCount()

Return the count of attributes

Returns:
  count of attributes

#### attributeNames

    Iterator<String> attributeNames()

Return the list of attribute names

Returns:
  `Iterator` iterating over the attribute names

#### containsAttribute

    boolean containsAttribute​(String name)

Return a flag indicating whether a specified attribute exists

Parameters:
  `name` - the attribute's name
Returns:
  `true` if the specified attribute exists, `false` otherwise

#### getValue

    String getValue​(String name)

Return an attribute's value, given its name or `null` if the attribute cannot be found.

Parameters:
  `name` - attribute name
Returns:
  an attribute's value

#### getQuoteChar

    char getQuoteChar​(String name)

Return an attribute's quote character, given its name or `0` if the attribute cannot be found.

Parameters:
  `name` - attribute name
Returns:
  an attribute's quote character

#### getQuotedValue

    String getQuotedValue​(String name)

Return an attribute's value, already surrounded with the quotes originally in place. Returns `null` if the attribute cannot be found

Parameters:
  `name` - attribute name
Returns:
  an attribute's value

#### setValue

    void setValue​(String name,
                  String value)

Set an attribute's value. If the value is `null`, this is semantically different to a `removeValue(String)`.

Parameters:
  `name` - attribute name
  `value` - attribute value

#### removeValue

    void removeValue​(String name)

Remove an attribute's value.

Parameters:
  `name` - attribute name

#### isModified

    boolean isModified()

Return a flag indicating whether this object was modified.

Returns:
  `true` if the object was modified `false` otherwise